Name: 	 	xvkbd
Summary: 	Virtual (on-screen) keyboard for X
Version: 	3.2
Release: 	%mkrel 1
Source:		http://homepage3.nifty.com/tsato/%{name}/%{name}-%{version}.tar.gz
URL:		http://homepage3.nifty.com/tsato/xvkbd/
License:	GPLv2+
Group:		System/X11
Buildrequires:	imagemagick
Buildrequires:	imake
BuildRequires:	X11-devel
BuildRequires:	Xaw3d-devel

%description
xvkbd is a virtual (graphical) keyboard program for X Window System which
provides facility to enter characters onto other clients (softwares) by
clicking on a keyboard displayed on the screen. This may be used for systems
without a hardware keyboard such as kiosk terminals or handheld devices.

This program also has facility to send characters specified as the command
line option to another client, which can help when one wants to fully utilize
some modern mice with multiple buttons.

%prep
%setup -q

%build
xmkmf
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std install.man
rm -f $RPM_BUILD_ROOT/%_prefix/lib/X11/app-defaults

#menu

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=Virtual Keyboard
Comment=On-screen keyboard for X
Exec=%{_bindir}/%{name} -secure
Icon=%{name}
Terminal=false
Type=Application
Categories=GNOME;GTK;Utility;Accessibility;X-MandrivaLinux-MoreApplications-Accessibility;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 xvkbd_icon.xbm $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 xvkbd.xbm $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 xvkbd.xbm $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%_prefix/bin/*
%config(noreplace) %_sysconfdir/X11/app-defaults/*
%{_mandir}/man1/*
%{_datadir}/applications
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png




%changelog
* Sat Apr 30 2011 sander85 <sander85> 3.2-1.mga1
+ Revision: 93691
- imported package xvkbd


* Sat Apr 30 2011 Sander Lepik <sander.lepik@eesti.ee> 3.2-1.mga1
- new version 3.2
- clean spec

* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 3.0-3mdv2010.0
+ Revision: 435325
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Aug 09 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0-2mdv2009.0
+ Revision: 269845
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 05 2008 Funda Wang <fundawang@mandriva.org> 3.0-1mdv2009.0
+ Revision: 201441
- update to new version 3.0

* Fri Mar 07 2008 Antoine Ginies <aginies@mandriva.com> 2.8-1mdv2008.1
+ Revision: 181236
- fix xaw3d-devel buildrequires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 16 2007 Olivier Thauvin <nanardon@mandriva.org> 2.8-1mdv2008.0
+ Revision: 52642
- 2.8


* Tue Jan 17 2006 Franck Villaume <fvill@mandriva.org> 2.7a-3mdk
- fix url
- mkrel

* Thu May 19 2005 Franck Villaume <fvill@mandriva.org> 2.7a-2mdk
- buildrequires

* Mon May 16 2005 Franck Villaume <fvill@mandriva.org> 2.7a-1mdk
- 2.7a
- buildrequires

* Wed May 04 2005 Abel Cheung <deaddog@mandriva.org> 2.6-1mdk
- New version

* Fri Aug 20 2004 Austin Acton <austin@mandrake.org> 2.5a-2mdk
- new menu

* Tue Jun 29 2004 Austin Acton <austin@mandrake.org> 2.5a-1mdk
- initial package

